<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	body{
		margin:0;
		background:url("aa.jpg") center center fixed;
		background-size:cover;
	}
	section{
		display: flex;
		justify-content: center;
		align-items: center;
		height:100vh;
		width: 100vw;
	}
	section>div{
		flex:1;
		height:100%;
		background:teal;
		transition:1.5s;
	}
	.disappear{
		overflow: hidden;
	}
	.disappear>div{
		transform: translateY(100vh);
	}
	.appear>div{
		transform: translateY(0vh);
	}
	.appear>div:nth-child(1){
		transition-delay: 100ms;
	}
	.appear>div:nth-child(2){
		transition-delay: 300ms;
	}
	.appear>div:nth-child(3){
		transition-delay: 500ms;
	}
	.appear>div:nth-child(4){
		transition-delay: 700ms;
	}
</style>
<body>
	<span></span>
<section></section>
<section id="transition" class="disappear">
	<div></div>
	<div></div>
	<div></div>
	<div></div>
</section>
</body>
<script>
	document.addEventListener("scroll", function(){
		let scrollvalue=window.scrollY;
		console.log(scrollvalue);
		if(scrollvalue>window.innerHeight){
			document.getElementById("transition").classList.add("appear");
			document.getElementById("transition").classList.remove("disappear");
		}else{
				document.getElementById("transition").classList.remove("appear");
			document.getElementById("transition").classList.add("disappear");
		}
	})
	</script>
</html>